class paymentRequestionBankDetailsResponse {
  GetDetails? getDetails;
  String? error;
  String? message;

  paymentRequestionBankDetailsResponse({this.getDetails, this.error, this.message});

  paymentRequestionBankDetailsResponse.fromJson(Map<String, dynamic> json) {
    getDetails = json['get_details'] != null
        ? new GetDetails.fromJson(json['get_details'])
        : null;
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.getDetails != null) {
      data['get_details'] = this.getDetails!.toJson();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class GetDetails {
  String? id;
  String? name;
  String? bankName;
  String? bankBranchName;
  String? bankIfscCode;
  String? bankAccountHolderName;
  String? bankAccountNumber;
  String? bankUpiId;

  GetDetails(
      {this.id,
        this.name,
        this.bankName,
        this.bankBranchName,
        this.bankIfscCode,
        this.bankAccountHolderName,
        this.bankAccountNumber,
        this.bankUpiId});

  GetDetails.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    bankName = json['bank_name'];
    bankBranchName = json['bank_branch_name'];
    bankIfscCode = json['bank_ifsc_code'];
    bankAccountHolderName = json['bank_account_holder_name'];
    bankAccountNumber = json['bank_account_number'];
    bankUpiId = json['bank_upi_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['bank_name'] = this.bankName;
    data['bank_branch_name'] = this.bankBranchName;
    data['bank_ifsc_code'] = this.bankIfscCode;
    data['bank_account_holder_name'] = this.bankAccountHolderName;
    data['bank_account_number'] = this.bankAccountNumber;
    data['bank_upi_id'] = this.bankUpiId;
    return data;
  }
}
